Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2811393005: Roll src/third_party/boringssl/src c8ff30cbe..bc6a76b0e (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by svaldez
Modified:
3 months ago
Reviewers:
davidben
CC:
chromium-reviews, kapishnikov(OOO)
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+516 lines, -85800 lines) Patch
M DEPS View 1 chunk +1 line, -1 line 0 comments Download
M third_party/boringssl/BUILD.generated.gni View 14 chunks +44 lines, -41 lines 0 comments Download
M third_party/boringssl/BUILD.generated_tests.gni View 5 chunks +16 lines, -2 lines 0 comments Download
M third_party/boringssl/err_data.c View 10 chunks +430 lines, -419 lines 0 comments Download
A + third_party/boringssl/linux-aarch64/crypto/fipsmodule/sha1-armv8.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/linux-aarch64/crypto/fipsmodule/sha256-armv8.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/linux-aarch64/crypto/fipsmodule/sha512-armv8.S View 0 chunks +-1 lines, --1 lines 0 comments Download
D third_party/boringssl/linux-aarch64/crypto/sha/sha1-armv8.S View 1 chunk +0 lines, -1216 lines 0 comments Download
D third_party/boringssl/linux-aarch64/crypto/sha/sha256-armv8.S View 1 chunk +0 lines, -1146 lines 0 comments Download
D third_party/boringssl/linux-aarch64/crypto/sha/sha512-armv8.S View 1 chunk +0 lines, -1026 lines 0 comments Download
A + third_party/boringssl/linux-arm/crypto/fipsmodule/sha1-armv4-large.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/linux-arm/crypto/fipsmodule/sha256-armv4.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/linux-arm/crypto/fipsmodule/sha512-armv4.S View 0 chunks +-1 lines, --1 lines 0 comments Download
D third_party/boringssl/linux-arm/crypto/sha/sha1-armv4-large.S View 1 chunk +0 lines, -1463 lines 0 comments Download
D third_party/boringssl/linux-arm/crypto/sha/sha256-armv4.S View 1 chunk +0 lines, -2818 lines 0 comments Download
D third_party/boringssl/linux-arm/crypto/sha/sha512-armv4.S View 1 chunk +0 lines, -1871 lines 0 comments Download
A + third_party/boringssl/linux-x86/crypto/fipsmodule/md5-586.S View 1 chunk +1 line, -1 line 0 comments Download
A + third_party/boringssl/linux-x86/crypto/fipsmodule/sha1-586.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/linux-x86/crypto/fipsmodule/sha256-586.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/linux-x86/crypto/fipsmodule/sha512-586.S View 0 chunks +-1 lines, --1 lines 0 comments Download
D third_party/boringssl/linux-x86/crypto/md5/md5-586.S View 1 chunk +0 lines, -682 lines 0 comments Download
D third_party/boringssl/linux-x86/crypto/sha/sha1-586.S View 1 chunk +0 lines, -3802 lines 0 comments Download
D third_party/boringssl/linux-x86/crypto/sha/sha256-586.S View 1 chunk +0 lines, -5561 lines 0 comments Download
D third_party/boringssl/linux-x86/crypto/sha/sha512-586.S View 1 chunk +0 lines, -2831 lines 0 comments Download
A + third_party/boringssl/linux-x86_64/crypto/fipsmodule/md5-x86_64.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/linux-x86_64/crypto/fipsmodule/sha1-x86_64.S View 1 chunk +7 lines, -5 lines 0 comments Download
A + third_party/boringssl/linux-x86_64/crypto/fipsmodule/sha256-x86_64.S View 2 chunks +5 lines, -3 lines 0 comments Download
A + third_party/boringssl/linux-x86_64/crypto/fipsmodule/sha512-x86_64.S View 2 chunks +5 lines, -3 lines 0 comments Download
D third_party/boringssl/linux-x86_64/crypto/md5/md5-x86_64.S View 1 chunk +0 lines, -671 lines 0 comments Download
D third_party/boringssl/linux-x86_64/crypto/sha/sha1-x86_64.S View 1 chunk +0 lines, -3543 lines 0 comments Download
D third_party/boringssl/linux-x86_64/crypto/sha/sha256-x86_64.S View 1 chunk +0 lines, -3906 lines 0 comments Download
D third_party/boringssl/linux-x86_64/crypto/sha/sha512-x86_64.S View 1 chunk +0 lines, -4028 lines 0 comments Download
A + third_party/boringssl/mac-x86/crypto/fipsmodule/md5-586.S View 1 chunk +1 line, -1 line 0 comments Download
A + third_party/boringssl/mac-x86/crypto/fipsmodule/sha1-586.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/mac-x86/crypto/fipsmodule/sha256-586.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/mac-x86/crypto/fipsmodule/sha512-586.S View 0 chunks +-1 lines, --1 lines 0 comments Download
D third_party/boringssl/mac-x86/crypto/md5/md5-586.S View 1 chunk +0 lines, -680 lines 0 comments Download
D third_party/boringssl/mac-x86/crypto/sha/sha1-586.S View 1 chunk +0 lines, -3800 lines 0 comments Download
D third_party/boringssl/mac-x86/crypto/sha/sha256-586.S View 1 chunk +0 lines, -5563 lines 0 comments Download
D third_party/boringssl/mac-x86/crypto/sha/sha512-586.S View 1 chunk +0 lines, -2833 lines 0 comments Download
A + third_party/boringssl/mac-x86_64/crypto/fipsmodule/md5-x86_64.S View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/mac-x86_64/crypto/fipsmodule/sha1-x86_64.S View 1 chunk +5 lines, -3 lines 0 comments Download
A + third_party/boringssl/mac-x86_64/crypto/fipsmodule/sha256-x86_64.S View 2 chunks +3 lines, -1 line 0 comments Download
A + third_party/boringssl/mac-x86_64/crypto/fipsmodule/sha512-x86_64.S View 2 chunks +3 lines, -1 line 0 comments Download
D third_party/boringssl/mac-x86_64/crypto/md5/md5-x86_64.S View 1 chunk +0 lines, -671 lines 0 comments Download
D third_party/boringssl/mac-x86_64/crypto/sha/sha1-x86_64.S View 1 chunk +0 lines, -3542 lines 0 comments Download
D third_party/boringssl/mac-x86_64/crypto/sha/sha256-x86_64.S View 1 chunk +0 lines, -3905 lines 0 comments Download
D third_party/boringssl/mac-x86_64/crypto/sha/sha512-x86_64.S View 1 chunk +0 lines, -4027 lines 0 comments Download
A + third_party/boringssl/win-x86/crypto/fipsmodule/md5-586.asm View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/win-x86/crypto/fipsmodule/sha1-586.asm View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/win-x86/crypto/fipsmodule/sha256-586.asm View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/win-x86/crypto/fipsmodule/sha512-586.asm View 0 chunks +-1 lines, --1 lines 0 comments Download
D third_party/boringssl/win-x86/crypto/md5/md5-586.asm View 1 chunk +0 lines, -691 lines 0 comments Download
D third_party/boringssl/win-x86/crypto/sha/sha1-586.asm View 1 chunk +0 lines, -3808 lines 0 comments Download
D third_party/boringssl/win-x86/crypto/sha/sha256-586.asm View 1 chunk +0 lines, -5573 lines 0 comments Download
D third_party/boringssl/win-x86/crypto/sha/sha512-586.asm View 1 chunk +0 lines, -2843 lines 0 comments Download
A + third_party/boringssl/win-x86_64/crypto/fipsmodule/md5-x86_64.asm View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/boringssl/win-x86_64/crypto/fipsmodule/sha1-x86_64.asm View 2 chunks +6 lines, -4 lines 0 comments Download
A + third_party/boringssl/win-x86_64/crypto/fipsmodule/sha256-x86_64.asm View 3 chunks +4 lines, -2 lines 0 comments Download
A + third_party/boringssl/win-x86_64/crypto/fipsmodule/sha512-x86_64.asm View 3 chunks +4 lines, -2 lines 0 comments Download
D third_party/boringssl/win-x86_64/crypto/md5/md5-x86_64.asm View 1 chunk +0 lines, -776 lines 0 comments Download
D third_party/boringssl/win-x86_64/crypto/sha/sha1-x86_64.asm View 1 chunk +0 lines, -3762 lines 0 comments Download
D third_party/boringssl/win-x86_64/crypto/sha/sha256-x86_64.asm View 1 chunk +0 lines, -4081 lines 0 comments Download
D third_party/boringssl/win-x86_64/crypto/sha/sha512-x86_64.asm View 1 chunk +0 lines, -4211 lines 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   chromium_presubmit   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device   ios-device-xcode-clang   ios-simulator   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   android_cronet   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (12 generated)
svaldez
3 months, 1 week ago (2017-04-14 20:41:06 UTC) #3
davidben
lgtm
3 months, 1 week ago (2017-04-14 20:47:33 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811393005/1
3 months, 1 week ago (2017-04-14 20:58:54 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_compile_dbg_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/396785)
3 months, 1 week ago (2017-04-14 21:22:22 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2811393005/1
3 months ago (2017-04-18 14:12:19 UTC) #14
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/dc615d216b891170a55a2c14bf594c33866eb654
3 months ago (2017-04-18 15:29:46 UTC) #17
xunjieli
On 2017/04/18 15:29:46, commit-bot: I haz the power wrote: > Committed patchset #1 (id:1) as ...
3 months ago (2017-04-18 16:37:41 UTC) #18
davidben
On 2017/04/18 16:37:41, xunjieli wrote: > On 2017/04/18 15:29:46, commit-bot: I haz the power wrote: ...
3 months ago (2017-04-18 16:44:28 UTC) #19
xunjieli
On 2017/04/18 16:44:28, davidben wrote: > On 2017/04/18 16:37:41, xunjieli wrote: > > On 2017/04/18 ...
3 months ago (2017-04-18 16:49:58 UTC) #20
davidben
On 2017/04/18 16:49:58, xunjieli wrote: > On 2017/04/18 16:44:28, davidben wrote: > > On 2017/04/18 ...
3 months ago (2017-04-18 16:56:32 UTC) #22
xunjieli
On 2017/04/18 16:56:32, davidben wrote: > On 2017/04/18 16:49:58, xunjieli wrote: > > On 2017/04/18 ...
3 months ago (2017-04-18 16:59:45 UTC) #23
davidben
On 2017/04/18 16:59:45, xunjieli wrote: > On 2017/04/18 16:56:32, davidben wrote: > > On 2017/04/18 ...
3 months ago (2017-04-18 17:04:02 UTC) #24
xunjieli
3 months ago (2017-04-18 18:24:41 UTC) #25
Message was sent while issue was closed.
On 2017/04/18 17:04:02, davidben wrote:
> On 2017/04/18 16:59:45, xunjieli wrote:
> > On 2017/04/18 16:56:32, davidben wrote:
> > > On 2017/04/18 16:49:58, xunjieli wrote:
> > > > On 2017/04/18 16:44:28, davidben wrote:
> > > > > On 2017/04/18 16:37:41, xunjieli wrote:
> > > > > > On 2017/04/18 15:29:46, commit-bot: I haz the power wrote:
> > > > > > > Committed patchset #1 (id:1) as
> > > > > > >
> > > > > >
> > > > >
> > > >
> > >
> >
>
https://chromium.googlesource.com/chromium/src/+/dc615d216b891170a55a2c14bf59...
> > > > > > 
> > > > > > Seems have broken Cronet tests which run against a Netty server.
> > > > > >
> > > > >
> > > >
> > >
> >
>
https://build.chromium.org/p/chromium.android/builders/Android%20Cronet%20Bui...
> > > > > > 
> > > > > > C  227.881s Main  Caused by: java.lang.Exception: Invalid Server SSL
> > > > Protocol
> > > > > > (error:00000000:invalid library (0):OPENSSL_internal:invalid library
> > (0))
> > > > > > C  227.881s Main  	at org.apache.tomcat.jni.SSLContext.make(Native
> > Method)
> > > > > > C  227.881s Main  	at
> > > > > > io.netty.handler.ssl.OpenSslContext.<init>(OpenSslContext.java:186)
> > > > > > 
> > > > > > I tried to revert this CL but looks like this is too big to revert.
> > > > > > Steven, could you look into it?
> > > > > 
> > > > > I believe the fix is to remove the ifdef here, which is just plain
> wrong:
> > > > >
> > > >
> > >
> >
>
https://cs.chromium.org/chromium/src/third_party/netty-tcnative/src/c/sslcont...
> > > > > 
> > > > >
> > > >
> > >
> >
>
https://github.com/netty/netty-tcnative/commit/c9e7cde8d5bd52e338637a08c76ac2...
> > > > > 
> > > > > Is this on the CQ anywhere?
> > > > 
> > > > "cronet_android_tester". You need to choose it from the trybot dropdown.
> > > 
> > > Thanks! We'll try to remember to run that. Are there plans to add it to
the
> > CQ?
> > > 
> > 
> > The cronet bot that is on CQ is a compile-only bot. Our test bot is not on
CQ.
> > There is no plan yet. Things might have changed since we last talked about
> > getting Cronet bot on CQ. Let me start a thread.
> 
> That would be useful, thanks! Otherwise this is going to continue happening
> since the Netty code is otherwise untested and very fragile due to its low
> quality and lack of maintenance.

I filed https://bugs.chromium.org/p/chromium/issues/detail?id=712733
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973